/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\events and scenarios\misc\misc\DreadLlama.cs
Lines of code: 57
***********************************************************/


using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a Dread Llama corpse" )]
	public class DreadLlama : BaseCreature
	{
		[Constructable]
		public DreadLlama() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a Dread Llama";
			Body = 0xDC;
			BaseSoundID = 0x3F3;
			Hue=2406;

			SetStr( 121, 269 );
			SetDex( 236, 255 );
			SetInt( 216, 230 );

			SetDamage( 5, 40 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 15, 20 );

			SetSkill( SkillName.MagicResist, 15.1, 120.0 );
			SetSkill( SkillName.Tactics, 89.2, 129.0 );
			SetSkill( SkillName.Wrestling, 98.2, 129.0 );
			SetSkill( SkillName.SpiritSpeak, 18.2, 29.0 );
			SetSkill( SkillName.Necromancy, 28.2, 59.0 );

			
			Fame = 10000;
			Karma = -40000;

			VirtualArmor = 16;
			
			
			if ( Utility.RandomDouble() < .50 )
				PackItem( Engines.Plants.Seed.RandomBonsaiSeed() );
				
			PackNecroReg( 30, 275 );
			PackReg( 50,100 );		

		}
		
		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich, 5 );
		    AddLoot( LootPack.MedScrolls, 2 );
			AddLoot( LootPack.Potions );		   
		}		

		public override int Meat{ get{ return 4; } }
		public override int Hides{ get{ return 35; } }
		public override FoodType FavoriteFood{ get{ return FoodType.FruitsAndVegies | FoodType.GrainsAndHay; } }

		public DreadLlama(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}